%global github_name FeatherNotes

%bcond_with qt6

Name:           feathernotes

Version:        1.1.0
Release:        1
Summary:        Lightweight Qt hierarchical notes-manager for Linux

License:        GPLv3+
URL:            https://github.com/tsujan/%{github_name}
Source0:        %{url}/releases/download/V%{version}/%{github_name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
%if %{with qt6}
BuildRequires: qt6-qtbase-devel >= 6.3.0
BuildRequires: qt6-qtsvg-devel
%else
BuildRequires:  gcc-c++
BuildRequires:  cmake >= 3.0
BuildRequires:  qt5-qtbase-devel >= 5.15.0
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtx11extras-devel
%endif
BuildRequires:  hunspell-devel
BuildRequires:  shared-mime-info

Requires:       hicolor-icon-theme

%description
Lightweight Qt hierarchical notes-manager for Linux

%prep
%autosetup -n %{github_name}-%{version} -p 1

%build
%cmake \
%if %{without qt6}
    -DENABLE_QT5:BOOL=ON \
%endif
    -DWITH_HUNSPELL:BOOL=ON

%make_build

%install
%make_install

#%find_lang %{name} --with-qt

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop



%files 
#-f %{name}.lang
%license COPYING
%doc ChangeLog INSTALL NEWS README.md
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/text-%{name}-fnx.svg
%{_datadir}/mime/packages/%{name}.xml
%{_metainfodir}/%{name}.metainfo.xml
#%dir %{_datadir}/%{name}/translations


%changelog
* Wed May 24 2023 wangtaozhi <wangtaozhi@kylinsec.com.cn> - 1.1.0-1
- Package init
